> For the complete documentation index, see [llms.txt](/llms.txt).

# List prequalification quotes generated for a partner.

**GET** `https://www.iwoca.co.uk/api/lending/v2.2/prequalification_data/`

## Query parameters
- `external_customer_id` (string) — The external_customer_id given by the partner in the csv file uploaded via POST /prequalification_data
- `prequalification_data_id` (string) — The prequalification_data_id (uploaded file name) sent to the partner in the response payload after a successful POST /prequalification_data
- `limit` (number, required)
- `offset` (number, required)

## Responses
### 200 — Success
```json
{
  "data": {
    "count": 0,
    "items": [
      {
        "external_customer_id": "string",
        "is_prequalified": true,
        "marketing_type": "string",
        "prequalified_amount": 0,
        "quote_id": "00000000-0000-0000-0000-000000000000"
      }
    ]
  }
}
```

### 400 — Bad Request
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {},
      "source": {
        "parameter": "string",
        "pointer": "string"
      }
    }
  ]
}
```

### 401 — Unauthorized
```json
{
  "errors": [
    {
      "code": "AuthenticationFailed",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 403 — Permission Denied
```json
{
  "errors": [
    {
      "code": "PermissionDenied",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 404 — Not Found
```json
{
  "errors": [
    {
      "code": "NotFound",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 406 — Not Acceptable
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

### 500 — Unexpected Error
```json
{
  "errors": [
    {
      "code": "string",
      "detail": "string",
      "meta": {}
    }
  ]
}
```

## Example (curl)
```bash
curl 'https://www.iwoca.co.uk/api/lending/v2.2/prequalification_data/?external_customer_id=<external_customer_id>&prequalification_data_id=<prequalification_data_id>&limit=<limit>&offset=<offset>' \
  --header 'Authorization: Bearer <api-key>'
```